
public class DemoPolymorphism {

    class A {

        void info() {
            System.out.println("A");
        }
    }

    class B extends A {

        void info() {
            System.out.println("B");
        }
    }

    public void start() {
        A a = new A();
        B b = new B();

        a.info();
        b.info();

        a = b;

        a.info();
    }

    public static void main(String[] args) {
        DemoPolymorphism demo = new DemoPolymorphism();

        demo.start();
    }

}
